CREATE TABLE mow_rule_candidates (
    RULE_CANDIDATE_GUID           VARCHAR2(256) ,
    RULE_CANDIDATE_ID             NUMBER(18, 0) ,
    RULE_CANDIDATE_NUMBER         VARCHAR2(120) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    CAND_OBJ_ADDL_INFO1           VARCHAR2(1020),
    RULE_GUID                     VARCHAR2(256)     NOT NULL,
    RULE_ID                       NUMBER(18, 0) ,
    CAND_OBJ_PUBLIC_IDENTIFIER    VARCHAR2(1020)    NOT NULL,
    REF_ROW_GUID                  VARCHAR2(256) ,
    RECORD_STATUS                 VARCHAR2(4)       NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    INACTIVE_FLAG                 VARCHAR2(4)   ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    RULE_CANDIDATE_GUID           VARCHAR2(256) ,
    RULE_GUID                     VARCHAR2(256)     NOT NULL,
    CAND_OBJ_PUBLIC_IDENTIFIER    VARCHAR2(1020)    NOT NULL,
    REF_ROW_GUID                  VARCHAR2(256) ,
    RECORD_STATUS                 VARCHAR2(4)       NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CAND_OBJ_ADDL_INFO1           VARCHAR2(1020),
    RULE_CANDIDATE_NUMBER         VARCHAR2(120) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    INACTIVE_FLAG                 VARCHAR2(4)   ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    RULE_CANDIDATE_ID             NUMBER(18, 0) ,
    RULE_ID                       NUMBER(18, 0) ,
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_mow_rule_candidates PRIMARY KEY (RULE_CANDIDATE_GUID, RULE_CANDIDATE_GUID)
);
